TESTING/EIG/dget40.f(3)

NAME
TESTING/EIG/dget40.f

SYNOPSIS

  Functions/Subroutines
subroutine dget40 (rmax, lmax, ninfo, knt, nin)
DGET40

Function/Subroutine Documentation

  subroutine dget40 (double precision rmax, integer lmax, integer, dimension( 2 ) ninfo, integer knt, integer nin)

DGET40

Purpose:

     DGET40 tests DTGEXC, a routine for swapping adjacent blocks (either
     1 by 1 or 2 by 2) on the diagonal of a pencil in real generalized Schur form.
     Thus, DTGEXC computes an orthogonal matrices Q and Z such that
         Q' * ( [ A B ], [ D E ] ) * Z  = ( [ C1 B1 ], [ F1 E1 ] )
              ( [ 0 C ]  [   F ] )        ( [ 0  A1 ]  [    D1]  )
     where (C1,F1) is similar to (C,F) and (A1,D1) is similar to (A,D).
     Both (A,D) and (C,F) are assumed to be in standard form
     and (A1,D1) and (C1,F1) are returned with the
     same properties.

Parameters
    RMAX

              RMAX is DOUBLE PRECISION
              Value of the largest test ratio.

    LMAX

              LMAX is INTEGER
              Example number where largest test ratio achieved.

    NINFO

              NINFO is INTEGER array, dimension (2)
              NINFO( 1 ) = DTGEXC without accumulation returned INFO nonzero
              NINFO( 2 ) = DTGEXC with accumulation returned INFO nonzero

    KNT

              KNT is INTEGER
              Total number of examples tested.

    NIN

              NIN is INTEGER
              Input logical unit number.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 84 of file dget40.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.